#ifndef VFControl_cal_h_
#define VFControl_cal_h_
#include "rtwtypes.h"

/* Storage class 'PageSwitching', for system '<Root>' */
struct VFControl_cal_type {
  real_T DCVoltageSource_Amplitude; /* Mask Parameter: DCVoltageSource_Amplitude
                                     * Referenced by: '<S39>/DC'
                                     */
  real_T HarmonicAgeneration_Mag_Harmo;
                                /* Mask Parameter: HarmonicAgeneration_Mag_Harmo
                                 * Referenced by: '<S52>/Phase_Harmo1'
                                 */
  real_T HarmonicBgeneration_Mag_Harmo;
                                /* Mask Parameter: HarmonicBgeneration_Mag_Harmo
                                 * Referenced by: '<S53>/Phase_Harmo1'
                                 */
  real_T HarmonicAgeneration_Phase_Harmo;
                              /* Mask Parameter: HarmonicAgeneration_Phase_Harmo
                               * Referenced by: '<S52>/Phase_Harmo'
                               */
  real_T HarmonicBgeneration_Phase_Harmo;
                              /* Mask Parameter: HarmonicBgeneration_Phase_Harmo
                               * Referenced by: '<S53>/Phase_Harmo'
                               */
  real_T HarmonicAgeneration_Seq_Harmo;
                                /* Mask Parameter: HarmonicAgeneration_Seq_Harmo
                                 * Referenced by: '<S52>/Phase_Harmo2'
                                 */
  real_T HarmonicBgeneration_Seq_Harmo;
                                /* Mask Parameter: HarmonicBgeneration_Seq_Harmo
                                 * Referenced by: '<S53>/Phase_Harmo2'
                                 */
  real_T Variationvaluesteprampmod_Toff_;
                              /* Mask Parameter: Variationvaluesteprampmod_Toff_
                               * Referenced by: '<S56>/Step1'
                               */
  real_T Variationvaluesteprampmod_Ton_V;
                              /* Mask Parameter: Variationvaluesteprampmod_Ton_V
                               * Referenced by: '<S56>/Step'
                               */
  real_T Variationvaluesteprampmod_Varia;
                              /* Mask Parameter: Variationvaluesteprampmod_Varia
                               * Referenced by: '<S56>/valp_nom9'
                               */
  real_T Variationvaluesteprampmod_Var_l;
                              /* Mask Parameter: Variationvaluesteprampmod_Var_l
                               * Referenced by: '<S56>/valp_nom8'
                               */
  real_T Variationvaluesteprampmod_Var_p;
                              /* Mask Parameter: Variationvaluesteprampmod_Var_p
                               * Referenced by: '<S56>/valp_nom7'
                               */
  real_T Variationvaluesteprampmod_Var_n;
                              /* Mask Parameter: Variationvaluesteprampmod_Var_n
                               * Referenced by: '<S56>/valp_nom6'
                               */
  real_T CompareToConstant_const;     /* Mask Parameter: CompareToConstant_const
                                       * Referenced by: '<S77>/Constant'
                                       */
  real_T HarmonicAgeneration_n_Harmo;
                                  /* Mask Parameter: HarmonicAgeneration_n_Harmo
                                   * Referenced by: '<S52>/Gain1'
                                   */
  real_T HarmonicBgeneration_n_Harmo;
                                  /* Mask Parameter: HarmonicBgeneration_n_Harmo
                                   * Referenced by: '<S53>/Gain1'
                                   */
  real_T Constant1_Value;              /* Expression: SM.Lsat(1)
                                        * Referenced by: '<S22>/Constant1'
                                        */
  real_T Linv_Y0;                      /* Computed Parameter: Linv_Y0
                                        * Referenced by: '<S22>/Linv'
                                        */
  real_T RLinv_Y0;                     /* Computed Parameter: RLinv_Y0
                                        * Referenced by: '<S22>/R*Linv'
                                        */
  real_T Lm_Y0;                        /* Computed Parameter: Lm_Y0
                                        * Referenced by: '<S22>/Lm'
                                        */
  real_T u1_Value[2];                  /* Expression: [1/SM.Lls 1/SM.Llr]
                                        * Referenced by: '<S26>/u1'
                                        */
  real_T u2_Value[2];                  /* Expression: [ SM.Lls SM.Llr ]
                                        * Referenced by: '<S24>/u2'
                                        */
  real_T Delay_InitialCondition;       /* Expression: SM.Lsat(1)
                                        * Referenced by: '<S22>/Delay'
                                        */
  real_T uDLookupTable_tableData[2];
                           /* Expression: [ 0 SM.Phisat(2:end)./SM.Lsat(2:end) ]
                            * Referenced by: '<S22>/1-D Lookup Table'
                            */
  real_T uDLookupTable_bp01Data[2];    /* Expression: SM.Phisat
                                        * Referenced by: '<S22>/1-D Lookup Table'
                                        */
  real_T u1_Value_d[16];               /* Expression: zeros(4,4)
                                        * Referenced by: '<S25>/u1'
                                        */
  real_T u5_Value[16];                 /* Expression: SM.Ll
                                        * Referenced by: '<S25>/u5'
                                        */
  real_T u1_Value_e[16];               /* Expression: SM.R
                                        * Referenced by: '<S22>/u1'
                                        */
  real_T Lm_nosat_Value;               /* Expression: SM.Lm
                                        * Referenced by: '<S16>/Lm_nosat'
                                        */
  real_T Constant2_Value[16];          /* Expression: SM.Linv
                                        * Referenced by: '<S16>/Constant2'
                                        */
  real_T Constant4_Value[16];          /* Expression: SM.RLinv
                                        * Referenced by: '<S16>/Constant4'
                                        */
  real_T Constant3_Value;              /* Expression: SM.ensat
                                        * Referenced by: '<S16>/Constant3'
                                        */
  real_T Switch1_Threshold;            /* Expression: 0.5
                                        * Referenced by: '<S16>/Switch1'
                                        */
  real_T Constant4_Value_e;            /* Expression: SM.ctrl
                                        * Referenced by: '<S19>/Constant4'
                                        */
  real_T wbaseTs2_Gain;                /* Expression: SM.web*Ts/2
                                        * Referenced by: '<S27>/wbase*Ts//2'
                                        */
  real_T u5_Value_l[16];               /* Expression: eye(4,4)
                                        * Referenced by: '<S27>/u5'
                                        */
  real_T wbaseTs2_Gain_c;              /* Expression: SM.web*Ts/2
                                        * Referenced by: '<S27>/wbase*Ts//2 '
                                        */
  real_T vqrvdr_Y0;                    /* Expression: 0
                                        * Referenced by: '<S28>/vqr,vdr'
                                        */
  real_T vqsvds_Y0;                    /* Expression: 0
                                        * Referenced by: '<S28>/vqs,vds'
                                        */
  real_T vqrvdr_Y0_a;                  /* Expression: 0
                                        * Referenced by: '<S29>/vqr,vdr'
                                        */
  real_T vqsvds_Y0_m;                  /* Expression: 0
                                        * Referenced by: '<S29>/vqs,vds'
                                        */
  real_T vqrvdr_Y0_am;                 /* Expression: 0
                                        * Referenced by: '<S30>/vqr,vdr'
                                        */
  real_T vqsvds_Y0_p;                  /* Expression: 0
                                        * Referenced by: '<S30>/vqs,vds'
                                        */
  real_T irairb_Y0;                    /* Expression: 0
                                        * Referenced by: '<S32>/ira,irb'
                                        */
  real_T isaisb_Y0;                    /* Expression: 0
                                        * Referenced by: '<S32>/isa,isb'
                                        */
  real_T irairb_Y0_d;                  /* Expression: 0
                                        * Referenced by: '<S33>/ira,irb'
                                        */
  real_T isaisb_Y0_k;                  /* Expression: 0
                                        * Referenced by: '<S33>/isa,isb'
                                        */
  real_T irairb_Y0_h;                  /* Expression: 0
                                        * Referenced by: '<S34>/ira,irb'
                                        */
  real_T isaisb_Y0_m;                  /* Expression: 0
                                        * Referenced by: '<S34>/isa,isb'
                                        */
  real_T sinbetacosbetasinthcosth_Y0;  /* Expression: 0
                                        * Referenced by: '<S35>/sin(beta),cos(beta), sin(th),cos(th)'
                                        */
  real_T W_Y0;                         /* Expression: 0
                                        * Referenced by: '<S35>/W'
                                        */
  real_T we_Value;                     /* Expression: 1
                                        * Referenced by: '<S35>/we'
                                        */
  real_T Gain2_Gain;                   /* Expression: -1
                                        * Referenced by: '<S35>/Gain2'
                                        */
  real_T web_psb_Gain;                 /* Expression: SM.web
                                        * Referenced by: '<S35>/web_psb'
                                        */
  real_T u3_Value[16];
              /* Expression: [ 0 1  0  0; -1  0  0  0;  0  0  0  0;  0  0  0  0]
               * Referenced by: '<S35>/u3'
               */
  real_T sinthrcosthr_Y0;              /* Expression: 0
                                        * Referenced by: '<S36>/sin(thr),cos(thr)'
                                        */
  real_T W_Y0_m;                       /* Expression: 0
                                        * Referenced by: '<S36>/W'
                                        */
  real_T Constant_Value[2];            /* Expression: [0; 0]
                                        * Referenced by: '<S36>/Constant'
                                        */
  real_T Gain1_Gain;                   /* Expression: -1
                                        * Referenced by: '<S36>/Gain1'
                                        */
  real_T u1_Value_j[16];               /* Expression: zeros(4,4)
                                        * Referenced by: '<S36>/u1'
                                        */
  real_T sinthrcosthr_Y0_h;            /* Expression: 0
                                        * Referenced by: '<S37>/sin(thr),cos(thr)'
                                        */
  real_T W_Y0_o;                       /* Computed Parameter: W_Y0_o
                                        * Referenced by: '<S37>/W'
                                        */
  real_T Constant_Value_n[2];          /* Expression: [0; 0]
                                        * Referenced by: '<S37>/Constant'
                                        */
  real_T Gain3_Gain;                   /* Expression: -1
                                        * Referenced by: '<S37>/Gain3'
                                        */
  real_T u4_Value[16];                 /* Expression: zeros(4,4)
                                        * Referenced by: '<S37>/u4'
                                        */
  real_T Zerosequence_Value[3];        /* Expression: [0 0 0]
                                        * Referenced by: '<S52>/Zero-sequence'
                                        */
  real_T Positivesequence_Value[3];    /* Expression: [0 -2*pi/3 2*pi/3]
                                        * Referenced by: '<S52>/Positive-sequence'
                                        */
  real_T Negativesequence_Value[3];    /* Expression: [0 2*pi/3 -2*pi/3]
                                        * Referenced by: '<S52>/Negative-sequence'
                                        */
  real_T Zerosequence_Value_h[3];      /* Expression: [0 0 0]
                                        * Referenced by: '<S53>/Zero-sequence'
                                        */
  real_T Positivesequence_Value_o[3];  /* Expression: [0 -2*pi/3 2*pi/3]
                                        * Referenced by: '<S53>/Positive-sequence'
                                        */
  real_T Negativesequence_Value_k[3];  /* Expression: [0 2*pi/3 -2*pi/3]
                                        * Referenced by: '<S53>/Negative-sequence'
                                        */
  real_T Gain3_Gain_c;                 /* Expression: pi/180
                                        * Referenced by: '<S54>/Gain3'
                                        */
  real_T Gain4_Gain;                   /* Expression: pi/180
                                        * Referenced by: '<S45>/Gain4'
                                        */
  real_T Gain1_Gain_n;                 /* Expression: 2*pi
                                        * Referenced by: '<S56>/Gain1'
                                        */
  real_T Constant4_Value_f;            /* Expression: 0
                                        * Referenced by: '<S56>/Constant4'
                                        */
  real_T uRsw_Gain;                    /* Expression: 1./Ron
                                        * Referenced by: '<S84>/1//Rsw'
                                        */
  real_T u4_Value_l;                   /* Expression: 0
                                        * Referenced by: '<S84>/0 4'
                                        */
  real_T uRsw_Gain_e;                  /* Expression: 1./Ron
                                        * Referenced by: '<S86>/1//Rsw'
                                        */
  real_T u4_Value_j;                   /* Expression: 0
                                        * Referenced by: '<S86>/0 4'
                                        */
  real_T uRsw_Gain_l;                  /* Expression: 1./Ron
                                        * Referenced by: '<S88>/1//Rsw'
                                        */
  real_T u4_Value_c;                   /* Expression: 0
                                        * Referenced by: '<S88>/0 4'
                                        */
  real_T uRsw_Gain_k;                  /* Expression: 1./Ron
                                        * Referenced by: '<S90>/1//Rsw'
                                        */
  real_T u4_Value_m;                   /* Expression: 0
                                        * Referenced by: '<S90>/0 4'
                                        */
  real_T uRsw_Gain_m;                  /* Expression: 1./Ron
                                        * Referenced by: '<S92>/1//Rsw'
                                        */
  real_T u4_Value_lk;                  /* Expression: 0
                                        * Referenced by: '<S92>/0 4'
                                        */
  real_T uRsw_Gain_k4;                 /* Expression: 1./Ron
                                        * Referenced by: '<S94>/1//Rsw'
                                        */
  real_T u4_Value_o;                   /* Expression: 0
                                        * Referenced by: '<S94>/0 4'
                                        */
  real_T SwitchCurrents_Value[6];      /* Expression: zeros(6,1)
                                        * Referenced by: '<S98>/SwitchCurrents'
                                        */
  real_T Constant3_Value_e;            /* Expression: SM.ctrl
                                        * Referenced by: '<S18>/Constant3'
                                        */
  real_T fluxes_InitialCondition[4];   /* Expression: SM.phiqd0
                                        * Referenced by: '<S23>/fluxes'
                                        */
  real_T Gain_Gain;                    /* Expression: 2
                                        * Referenced by: '<S21>/Gain'
                                        */
  real_T fluxes_InitialCondition_a[4]; /* Expression: SM.phiqd0
                                        * Referenced by: '<S21>/fluxes'
                                        */
  real_T Constant_Value_e;             /* Expression: SM.ensat
                                        * Referenced by: '<S16>/Constant'
                                        */
  real_T Constant1_Value_k;            /* Expression: SM.ensat
                                        * Referenced by: '<S16>/Constant1'
                                        */
  real_T Switch_Threshold;             /* Expression: 0.5
                                        * Referenced by: '<S16>/Switch'
                                        */
  real_T Constant2_Value_n;            /* Expression: SM.ctrl
                                        * Referenced by: '<S19>/Constant2'
                                        */
  real_T Rotoranglethetam_gainval;
                                 /* Computed Parameter: Rotoranglethetam_gainval
                                  * Referenced by: '<S15>/Rotor angle thetam'
                                  */
  real_T Rotoranglethetam_IC;          /* Expression: SM.tho
                                        * Referenced by: '<S15>/Rotor angle thetam'
                                        */
  real_T wm_delay_InitialCondition;    /* Expression: SM.wmo
                                        * Referenced by: '<S38>/wm_delay'
                                        */
  real_T F2_Gain;                      /* Expression: 2
                                        * Referenced by: '<S38>/F2'
                                        */
  real_T wm_predict_InitialCondition;  /* Expression: SM.wmo
                                        * Referenced by: '<S38>/wm_predict'
                                        */
  real_T Constant4_Value_c;            /* Expression: SM.ctrl
                                        * Referenced by: '<S18>/Constant4'
                                        */
  real_T ib_Gain;                      /* Expression: SM.ib
                                        * Referenced by: '<S18>/ib'
                                        */
  real_T GainVr_Vs1_Gain[2];           /* Expression: SM.Gain_Vr_Vs
                                        * Referenced by: '<S13>/Gain Vr_Vs1'
                                        */
  real_T StateSpace_DS_param[126];     /* Expression: S.D
                                        * Referenced by: '<S96>/State-Space'
                                        */
  real_T Constant5_Value;              /* Expression: SM.ensat
                                        * Referenced by: '<S16>/Constant5'
                                        */
  real_T u1_Gain[2];                   /* Expression: [1 -1]
                                        * Referenced by: '<S20>/1-1'
                                        */
  real_T Switch2_Threshold;            /* Expression: 0.5
                                        * Referenced by: '<S16>/Switch2'
                                        */
  real_T Constant4_Value_i;            /* Expression: SM.ctrl
                                        * Referenced by: '<S17>/Constant4'
                                        */
  real_T Constant6_Value[2];           /* Expression: [0;0]
                                        * Referenced by: '<S31>/Constant6'
                                        */
  real_T GainVr_Vs_Gain[2];            /* Expression: SM.Gain_Vr_Vs
                                        * Referenced by: '<S13>/Gain Vr_Vs'
                                        */
  real_T u_Vb_Gain;                    /* Expression: 1/SM.Vb
                                        * Referenced by: '<S17>/1_Vb'
                                        */
  real_T Constant3_Value_g;            /* Expression: SM.ctrl
                                        * Referenced by: '<S17>/Constant3'
                                        */
  real_T voltages_InitialCondition;    /* Expression: 0
                                        * Referenced by: '<S23>/voltages'
                                        */
  real_T IC_Threshold;                 /* Expression: Ts
                                        * Referenced by: '<S23>/IC'
                                        */
  real_T unitconversion_Gain[19];
  /* Expression: [SM.ib2*SM.kIr*ones(5,1); SM.phib2*SM.kVr; SM.phib2*SM.kVr; SM.Vb2*SM.kVr; SM.Vb2*SM.kVr ; SM.ib2*ones(5,1); SM.phib2; SM.phib2; SM.Vb2; SM.Vb2; SM.phib2/SM.ib2]
   * Referenced by: '<S13>/unit conversion'
   */
  real_T up_Gain;                      /* Expression: 1/SM.p
                                        * Referenced by: '<S15>/1\p'
                                        */
  real_T up1_Gain[3];                  /* Expression: [SM.Nb2;SM.Tb2;1]
                                        * Referenced by: '<S15>/1\p1'
                                        */
  real_T Unitconversion_Gain;          /* Expression: 1/SM.Tb2
                                        * Referenced by: '<S15>/Unit conversion'
                                        */
  real_T F_Gain;                       /* Expression: SM.F
                                        * Referenced by: '<S15>/F'
                                        */
  real_T u_2H_Gain;                    /* Expression: 1/(2*SM.H)
                                        * Referenced by: '<S15>/1_2H'
                                        */
  real_T Rotorspeedwm_gainval;       /* Computed Parameter: Rotorspeedwm_gainval
                                      * Referenced by: '<S15>/Rotor speed(wm)'
                                      */
  real_T Rotorspeedwm_IC;              /* Expression: SM.wmo
                                        * Referenced by: '<S15>/Rotor speed(wm)'
                                        */
  real_T web_psb_Gain_n;               /* Expression: SM.web
                                        * Referenced by: '<S15>/web_psb'
                                        */
  real_T LookUpTable_XData[8];         /* Expression: sps.tv
                                        * Referenced by: '<S57>/Look-Up Table'
                                        */
  real_T LookUpTable_YData[8];         /* Expression: sps.opv
                                        * Referenced by: '<S57>/Look-Up Table'
                                        */
  real_T valp_nom1_Value;              /* Expression: sps.VariationType
                                        * Referenced by: '<S49>/valp_nom1'
                                        */
  real_T Constant6_Value_k;            /* Expression: 4
                                        * Referenced by: '<S49>/Constant6'
                                        */
  real_T valp_nom3_Value;              /* Expression: sps.VariationEntity
                                        * Referenced by: '<S46>/valp_nom3'
                                        */
  real_T Constant_Value_nw;            /* Expression: 2
                                        * Referenced by: '<S46>/Constant'
                                        */
  real_T Constant1_Value_a;            /* Expression: 0
                                        * Referenced by: '<S56>/Constant1'
                                        */
  real_T Step1_Y0;                     /* Expression: 1
                                        * Referenced by: '<S56>/Step1'
                                        */
  real_T Step1_YFinal;                 /* Expression: 0
                                        * Referenced by: '<S56>/Step1'
                                        */
  real_T valp_nom5_Value;              /* Expression: sps.VariationType
                                        * Referenced by: '<S47>/valp_nom5'
                                        */
  real_T Constant3_Value_ey;           /* Expression: 1
                                        * Referenced by: '<S56>/Constant3'
                                        */
  real_T Step_Y0;                      /* Expression: 0
                                        * Referenced by: '<S56>/Step'
                                        */
  real_T Step_YFinal;                  /* Expression: 1
                                        * Referenced by: '<S56>/Step'
                                        */
  real_T DiscreteTimeIntegrator1_gainval;
                          /* Computed Parameter: DiscreteTimeIntegrator1_gainval
                           * Referenced by: '<S47>/Discrete-Time Integrator1'
                           */
  real_T DiscreteTimeIntegrator1_IC;   /* Expression: 0
                                        * Referenced by: '<S47>/Discrete-Time Integrator1'
                                        */
  real_T Constant5_Value_c;            /* Expression: 0
                                        * Referenced by: '<S56>/Constant5'
                                        */
  real_T UnitDelay1_InitialCondition;  /* Expression: 0
                                        * Referenced by: '<S47>/Unit Delay1'
                                        */
  real_T Switch2_Threshold_a;          /* Expression: 0.5
                                        * Referenced by: '<S56>/Switch2'
                                        */
  real_T Constant1_Value_j;            /* Expression: 0
                                        * Referenced by: '<S41>/Constant1'
                                        */
  real_T valp_nom2_Value;              /* Expression: sps.Mag_Vps
                                        * Referenced by: '<S41>/valp_nom2'
                                        */
  real_T SinglePhase_Value;            /* Expression: sps.SinglePhase
                                        * Referenced by: '<S50>/SinglePhase'
                                        */
  real_T Switch5_Threshold;            /* Expression: 0.5
                                        * Referenced by: '<S50>/Switch5'
                                        */
  real_T valp_nom1_Value_g;            /* Expression: sps.Freq_Vps
                                        * Referenced by: '<S42>/valp_nom1'
                                        */
  real_T Gain_Gain_k;                  /* Expression: 2*pi
                                        * Referenced by: '<S42>/Gain'
                                        */
  real_T DiscreteTimeIntegrator_gainval;
                           /* Computed Parameter: DiscreteTimeIntegrator_gainval
                            * Referenced by: '<S42>/Discrete-Time Integrator'
                            */
  real_T DiscreteTimeIntegrator_IC;    /* Expression: 0
                                        * Referenced by: '<S42>/Discrete-Time Integrator'
                                        */
  real_T P1_Value[3];                  /* Expression: [0  -2*pi/3  2*pi/3]
                                        * Referenced by: '<S54>/P1'
                                        */
  real_T valp_nom1_Value_c;            /* Expression: sps.VariationType
                                        * Referenced by: '<S54>/valp_nom1'
                                        */
  real_T Constant6_Value_h;            /* Expression: 4
                                        * Referenced by: '<S54>/Constant6'
                                        */
  real_T Constant2_Value_b;            /* Expression: 3
                                        * Referenced by: '<S46>/Constant2'
                                        */
  real_T valp_nom_Value;               /* Expression: sps.Phase_Vps
                                        * Referenced by: '<S45>/valp_nom'
                                        */
  real_T Gain3_Gain_e;                 /* Expression: pi/180
                                        * Referenced by: '<S45>/Gain3'
                                        */
  real_T P1_Value_e[3];                /* Expression: [0  -2*pi/3  2*pi/3]
                                        * Referenced by: '<S45>/P1'
                                        */
  real_T Constant4_Value_l;            /* Expression: 0
                                        * Referenced by: '<S45>/Constant4'
                                        */
  real_T SinglePhase_Value_i;          /* Expression: sps.SinglePhase
                                        * Referenced by: '<S55>/SinglePhase'
                                        */
  real_T Switch5_Threshold_m;          /* Expression: 0.5
                                        * Referenced by: '<S55>/Switch5'
                                        */
  real_T Step_Time;                    /* Expression: sps.Ton_Harmo
                                        * Referenced by: '<S51>/Step'
                                        */
  real_T Step_Y0_k;                    /* Expression: 0
                                        * Referenced by: '<S51>/Step'
                                        */
  real_T Step_YFinal_d;                /* Expression: 1
                                        * Referenced by: '<S51>/Step'
                                        */
  real_T Step1_Time;                   /* Expression: sps.Toff_Harmo
                                        * Referenced by: '<S51>/Step1'
                                        */
  real_T Step1_Y0_i;                   /* Expression: 0
                                        * Referenced by: '<S51>/Step1'
                                        */
  real_T Step1_YFinal_k;               /* Expression: -1
                                        * Referenced by: '<S51>/Step1'
                                        */
  real_T valp_nom7_Value;              /* Expression: sps.HarmonicGeneration
                                        * Referenced by: '<S51>/valp_nom7'
                                        */
  real_T Gain3_Gain_l;                 /* Expression: pi/180
                                        * Referenced by: '<S52>/Gain3'
                                        */
  real_T valp_nom2_Value_i;            /* Expression: 1
                                        * Referenced by: '<S52>/valp_nom2'
                                        */
  real_T Gain3_Gain_j;                 /* Expression: pi/180
                                        * Referenced by: '<S53>/Gain3'
                                        */
  real_T valp_nom2_Value_c;            /* Expression: 1
                                        * Referenced by: '<S53>/valp_nom2'
                                        */
  real_T Constant3_Value_m;            /* Expression: sps.Delay
                                        * Referenced by: '<S73>/Constant3'
                                        */
  real_T Constant4_Value_p;            /* Expression: sps.Period
                                        * Referenced by: '<S73>/Constant4'
                                        */
  real_T uib1_Gain;                    /* Expression: sps.Freq
                                        * Referenced by: '<S73>/1\ib1'
                                        */
  real_T uDLookupTable_tableData_d[3]; /* Expression: [0 2 0]
                                        * Referenced by: '<S73>/1-D Lookup Table'
                                        */
  real_T uDLookupTable_bp01Data_k[3];  /* Expression: [0 .5 1]
                                        * Referenced by: '<S73>/1-D Lookup Table'
                                        */
  real_T Constant2_Value_a;            /* Expression: 1
                                        * Referenced by: '<S73>/Constant2'
                                        */
  real_T Constant_Value_c;             /* Expression: 230
                                        * Referenced by: '<Root>/Constant'
                                        */
  real_T Constant3_Value_ej;           /* Expression: sps.Delay
                                        * Referenced by: '<S74>/Constant3'
                                        */
  real_T Constant1_Value_o;            /* Expression: sps.Period
                                        * Referenced by: '<S74>/Constant1'
                                        */
  real_T uib1_Gain_i;                  /* Expression: sps.Freq
                                        * Referenced by: '<S74>/1\ib1'
                                        */
  real_T uDLookupTable_tableData_f[3]; /* Expression: [0 2 0]
                                        * Referenced by: '<S74>/1-D Lookup Table'
                                        */
  real_T uDLookupTable_bp01Data_i[3];  /* Expression: [0 .5 1]
                                        * Referenced by: '<S74>/1-D Lookup Table'
                                        */
  real_T Constant2_Value_at;           /* Expression: 1
                                        * Referenced by: '<S74>/Constant2'
                                        */
  real_T Constant1_Value_ah;           /* Expression: 230
                                        * Referenced by: '<Root>/Constant1'
                                        */
  real_T Constant3_Value_mm;           /* Expression: sps.Delay
                                        * Referenced by: '<S75>/Constant3'
                                        */
  real_T Constant1_Value_p;            /* Expression: sps.Period
                                        * Referenced by: '<S75>/Constant1'
                                        */
  real_T uib1_Gain_c;                  /* Expression: sps.Freq
                                        * Referenced by: '<S75>/1\ib1'
                                        */
  real_T uDLookupTable_tableData_h[3]; /* Expression: [0 2 0]
                                        * Referenced by: '<S75>/1-D Lookup Table'
                                        */
  real_T uDLookupTable_bp01Data_m[3];  /* Expression: [0 .5 1]
                                        * Referenced by: '<S75>/1-D Lookup Table'
                                        */
  real_T Constant2_Value_k;            /* Expression: 1
                                        * Referenced by: '<S75>/Constant2'
                                        */
  real_T Constant2_Value_a1;           /* Expression: 230
                                        * Referenced by: '<Root>/Constant2'
                                        */
  real_T TransportDelay_Delay;         /* Expression: 1e-6
                                        * Referenced by: '<S3>/Transport Delay'
                                        */
  real_T TransportDelay_InitOutput;    /* Expression: 0
                                        * Referenced by: '<S3>/Transport Delay'
                                        */
  real_T TransportDelay_Delay_l;       /* Expression: 1e-6
                                        * Referenced by: '<S4>/Transport Delay'
                                        */
  real_T TransportDelay_InitOutput_l;  /* Expression: 0
                                        * Referenced by: '<S4>/Transport Delay'
                                        */
  real_T TransportDelay_Delay_c;       /* Expression: 1e-6
                                        * Referenced by: '<S5>/Transport Delay'
                                        */
  real_T TransportDelay_InitOutput_le; /* Expression: 0
                                        * Referenced by: '<S5>/Transport Delay'
                                        */
  real_T Digitaloutput1_P1_Size[2];/* Computed Parameter: Digitaloutput1_P1_Size
                                    * Referenced by: '<Root>/Digital output1'
                                    */
  real_T Digitaloutput1_P1;            /* Expression: id
                                        * Referenced by: '<Root>/Digital output1'
                                        */
  real_T Digitaloutput1_P2_Size[2];/* Computed Parameter: Digitaloutput1_P2_Size
                                    * Referenced by: '<Root>/Digital output1'
                                    */
  real_T Digitaloutput1_P2[3];         /* Expression: chan
                                        * Referenced by: '<Root>/Digital output1'
                                        */
  real_T Digitaloutput1_P3_Size[2];/* Computed Parameter: Digitaloutput1_P3_Size
                                    * Referenced by: '<Root>/Digital output1'
                                    */
  real_T Digitaloutput1_P3;            /* Expression: vectorizeInput
                                        * Referenced by: '<Root>/Digital output1'
                                        */
  real_T Digitaloutput1_P4_Size[2];/* Computed Parameter: Digitaloutput1_P4_Size
                                    * Referenced by: '<Root>/Digital output1'
                                    */
  real_T Digitaloutput1_P4[3];         /* Expression: reset
                                        * Referenced by: '<Root>/Digital output1'
                                        */
  real_T Digitaloutput1_P5_Size[2];/* Computed Parameter: Digitaloutput1_P5_Size
                                    * Referenced by: '<Root>/Digital output1'
                                    */
  real_T Digitaloutput1_P5[3];         /* Expression: init
                                        * Referenced by: '<Root>/Digital output1'
                                        */
  real_T Digitaloutput1_P6_Size[2];/* Computed Parameter: Digitaloutput1_P6_Size
                                    * Referenced by: '<Root>/Digital output1'
                                    */
  real_T Digitaloutput1_P6;            /* Expression: ts
                                        * Referenced by: '<Root>/Digital output1'
                                        */
  real_T Digitaloutput2_P1_Size[2];/* Computed Parameter: Digitaloutput2_P1_Size
                                    * Referenced by: '<Root>/Digital output2'
                                    */
  real_T Digitaloutput2_P1;            /* Expression: id
                                        * Referenced by: '<Root>/Digital output2'
                                        */
  real_T Digitaloutput2_P2_Size[2];/* Computed Parameter: Digitaloutput2_P2_Size
                                    * Referenced by: '<Root>/Digital output2'
                                    */
  real_T Digitaloutput2_P2[3];         /* Expression: chan
                                        * Referenced by: '<Root>/Digital output2'
                                        */
  real_T Digitaloutput2_P3_Size[2];/* Computed Parameter: Digitaloutput2_P3_Size
                                    * Referenced by: '<Root>/Digital output2'
                                    */
  real_T Digitaloutput2_P3;            /* Expression: vectorizeInput
                                        * Referenced by: '<Root>/Digital output2'
                                        */
  real_T Digitaloutput2_P4_Size[2];/* Computed Parameter: Digitaloutput2_P4_Size
                                    * Referenced by: '<Root>/Digital output2'
                                    */
  real_T Digitaloutput2_P4[3];         /* Expression: reset
                                        * Referenced by: '<Root>/Digital output2'
                                        */
  real_T Digitaloutput2_P5_Size[2];/* Computed Parameter: Digitaloutput2_P5_Size
                                    * Referenced by: '<Root>/Digital output2'
                                    */
  real_T Digitaloutput2_P5[3];         /* Expression: init
                                        * Referenced by: '<Root>/Digital output2'
                                        */
  real_T Digitaloutput2_P6_Size[2];/* Computed Parameter: Digitaloutput2_P6_Size
                                    * Referenced by: '<Root>/Digital output2'
                                    */
  real_T Digitaloutput2_P6;            /* Expression: ts
                                        * Referenced by: '<Root>/Digital output2'
                                        */
  real_T Switch_Threshold_e;           /* Expression: 0.5
                                        * Referenced by: '<S84>/Switch'
                                        */
  real_T Saturation_UpperSat;          /* Expression: 1
                                        * Referenced by: '<S76>/Saturation'
                                        */
  real_T Saturation_LowerSat;          /* Expression: 0
                                        * Referenced by: '<S76>/Saturation'
                                        */
  real_T Constant6_Value_e;            /* Expression: 0
                                        * Referenced by: '<Root>/Constant6'
                                        */
  real_T Switch_Threshold_p;           /* Expression: 0.5
                                        * Referenced by: '<S86>/Switch'
                                        */
  real_T Switch_Threshold_i;           /* Expression: 0.5
                                        * Referenced by: '<S88>/Switch'
                                        */
  real_T Switch_Threshold_o;           /* Expression: 0.5
                                        * Referenced by: '<S90>/Switch'
                                        */
  real_T Switch_Threshold_a;           /* Expression: 0.5
                                        * Referenced by: '<S92>/Switch'
                                        */
  real_T Switch_Threshold_n;           /* Expression: 0.5
                                        * Referenced by: '<S94>/Switch'
                                        */
  real_T Constant_Value_a;             /* Expression: -1
                                        * Referenced by: '<S3>/Constant'
                                        */
  real_T Constant_Value_g;             /* Expression: -1
                                        * Referenced by: '<S4>/Constant'
                                        */
  real_T Constant_Value_n5;            /* Expression: -1
                                        * Referenced by: '<S5>/Constant'
                                        */
  real_T Constant5_Value_ct;           /* Expression: 0
                                        * Referenced by: '<S42>/Constant5'
                                        */
  real_T Constant3_Value_n;            /* Expression: 4
                                        * Referenced by: '<S46>/Constant3'
                                        */
  real_T Gain2_Gain_h;                 /* Expression: 2*pi
                                        * Referenced by: '<S42>/Gain2'
                                        */
  real_T Gain3_Gain_i;                 /* Expression: 180/pi
                                        * Referenced by: '<S40>/Gain3'
                                        */
  real_T Constant7_Value;              /* Expression: 2*pi
                                        * Referenced by: '<S44>/Constant7'
                                        */
  real_T Constant_Value_p;             /* Expression: 2
                                        * Referenced by: '<S56>/Constant'
                                        */
  real_T Constant2_Value_i;            /* Expression: 1
                                        * Referenced by: '<S56>/Constant2'
                                        */
  real_T Switch_Threshold_d;           /* Expression: 0.5
                                        * Referenced by: '<S56>/Switch'
                                        */
  real_T donotdeletethisgain_Gain;     /* Expression: 1
                                        * Referenced by: '<S64>/do not delete this gain'
                                        */
  real_T donotdeletethisgain_Gain_d;   /* Expression: 1
                                        * Referenced by: '<S65>/do not delete this gain'
                                        */
  real_T donotdeletethisgain_Gain_h;   /* Expression: 1
                                        * Referenced by: '<S66>/do not delete this gain'
                                        */
  real_T Kv1_Gain;                     /* Expression: Kv
                                        * Referenced by: '<S7>/Kv1'
                                        */
  real_T donotdeletethisgain_Gain_j;   /* Expression: 1
                                        * Referenced by: '<S61>/do not delete this gain'
                                        */
  real_T donotdeletethisgain_Gain_n;   /* Expression: 1
                                        * Referenced by: '<S62>/do not delete this gain'
                                        */
  real_T donotdeletethisgain_Gain_p;   /* Expression: 1
                                        * Referenced by: '<S63>/do not delete this gain'
                                        */
  real_T Kv_Gain;                      /* Expression: Ki
                                        * Referenced by: '<S7>/Kv'
                                        */
  real_T UnitDelay_InitialCondition;   /* Expression: 0
                                        * Referenced by: '<S73>/Unit Delay'
                                        */
  boolean_T Constant_Value_b;          /* Expression: SM.ctrl==1
                                        * Referenced by: '<S19>/Constant'
                                        */
  boolean_T Constant1_Value_kj;        /* Expression: SM.ctrl==2
                                        * Referenced by: '<S19>/Constant1'
                                        */
  boolean_T Constant3_Value_h;         /* Expression: SM.ctrl==3
                                        * Referenced by: '<S19>/Constant3'
                                        */
  boolean_T Constant_Value_px;         /* Expression: SM.ctrl==1
                                        * Referenced by: '<S18>/Constant'
                                        */
  boolean_T Constant1_Value_b;         /* Expression: SM.ctrl==2
                                        * Referenced by: '<S18>/Constant1'
                                        */
  boolean_T Constant2_Value_d;         /* Expression: SM.ctrl==3
                                        * Referenced by: '<S18>/Constant2'
                                        */
  boolean_T Constant_Value_j;          /* Expression: SM.ctrl==1
                                        * Referenced by: '<S17>/Constant'
                                        */
  boolean_T Constant1_Value_f;         /* Expression: SM.ctrl==2
                                        * Referenced by: '<S17>/Constant1'
                                        */
  boolean_T Constant2_Value_kn;        /* Expression: SM.ctrl==3
                                        * Referenced by: '<S17>/Constant2'
                                        */
};

/* Storage class 'PageSwitching' */
extern VFControl_cal_type VFControl_cal_impl;
extern VFControl_cal_type *VFControl_cal;

#endif                                 /* VFControl_cal_h_ */
